Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Graphics/include/window.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Graphics/include/window.h	(revision 30)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Graphics/include/window.h	(revision 32)
@@ -40,5 +40,7 @@
 #include <qevent.h>
 #include <qfiledialog.h>
-
+#include <qscrollarea.h>
+#include <qcombobox.h>
+#include <qspinbox.h>
 
 #include "Tools/Viewer/Parser/include/parser.h"
@@ -72,8 +74,9 @@
   void _setParse(Parse *p);  //parse the base
   void _init_file();    //search component and port before drawing
+
  private slots:
     
   void _open(); //open a file
- void _open_error();
+  void _open_error();
 
   void _save(); //save a file
@@ -90,5 +93,5 @@
   void _defautZoom();
 
-  void _level();  
+  void _level();
   void _informations(); //show or hide informations window
   void _parameters(); //show or hide parameters window
@@ -98,10 +101,12 @@
 
   void _back();//return to the previous view
-  void _cancel_selection();
-  void _apply();
+  void _cancel_selection();//cancel the selection of a component
+  void _apply();//apply the parameters changes 
+  void currentIndexChanged(QString s);
+  void valueChanged(int i);
 
  protected :
-  void mousePressEvent (QMouseEvent *); //mouse handler when mouse pressed
-  void mouseMoveEvent (QMouseEvent *); //mouse handler in other case
+   void mousePressEvent (QMouseEvent *); //mouse handler when mouse pressed
+   void mouseMoveEvent (QMouseEvent *); //mouse handler in other case
  private :
   void wparameters(); // parameters window builder
@@ -110,7 +115,10 @@
   void repaint(); //repaint the panel with current parameters
   void drawPort(int x,int y,int pos,string dir); //draw the components ports
-  void write_name(string name); //write the name of the component clicked name in the informations window
+  void write_name(string type,string name); //write the name of the component clicked name in the informations window
   void write_comment(string comment);
   void write_type(string t);
+  void erase_line(QLabel *l1, QLabel *l2);//erase a line in the informations window
+  void erase_comment();//erase and hide the comment line in the informations window
+  void display_param();//display the parameters
 
   QList <Port> port_east; //ports lists
@@ -118,9 +126,11 @@
   QList <Port> port_north;
   QList <Port> port_south;
-  QList <Component> *compo;
-
-  QWidget *wparam;//windows widget (informations, parameters, open, save ...)
+  QList <Component> *compo;//component list
+  QList <Param> param;//parameters list
+  QList <Group> *group;//groups list
+
+  QWidget *wscroll;
+  QMainWindow *wparam;//windows widget (informations, parameters, quit, open)
   QWidget *winfo;
-  QWidget *ws;
   QWidget *wq;
   QWidget *wa;
@@ -130,4 +140,5 @@
   QBoxLayout *informations; //informations box
   QBoxLayout *parameters; //parameters box
+  QBoxLayout *pbox;
 
   Parse *parse; //the parser
@@ -139,5 +150,5 @@
   QPainter painter;
 
-  QStatusBar *status;
+  QStatusBar *status;//status bar 
 
   QLineEdit *file_name; //retrieve the name user wants to open from the open window
@@ -157,21 +168,20 @@
   int window_height; //main window size
   int window_width;
-  int margeX;//size of the marge
-  int margeY;
   int portX;//port size, position and size of components, used when drawing the architecture
   int portY;
-  int posX;
+  int posX;//used to retrieve the position and the size of a component
   int posY;
   int tailleX;
   int tailleY;
 
-  int cpt_level;
-  QString tab[50];
+  int cpt_level;//level in the architecture
+  QString tab[20];//save the father when user change the level
 
   QString father;//father name
   QString current;//name of the current architecture visible
 
+  QScrollArea *sc;
+
   bool save_as; 
-  bool first_save;
   bool info_open; //know if the informations window opened or not
   bool param_open; //know if the parameters window opened or not
@@ -187,6 +197,7 @@
   bool mess_open;//chargment message box opened or not
   bool component_clicked;//if user clicked on a component to modify its parameters
-
-
+  bool apply_display;//if the apply button is displayed
+  bool scroll_hide;
+  bool parameter_modify;
 };
       };
